IdeaModel (Gradle API 2.14.1)

Package: org.gradle.plugins.ide.idea.model

## [Java] Class IdeaModel

- org.gradle.plugins.ide.idea.model.IdeaModel

- DSL-friendly model of the IDEA project information. First point of entry when it comes to customizing the IDEA generation.

  See the examples in docs for IdeaModule or IdeaProject.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `IdeaModule` | `getModule()` Configures IDEA module information.
    `IdeaProject` | `getProject()` Configures IDEA project information.
    `String` | `getTargetVersion()` Configures the target IDEA version.
    `IdeaWorkspace` | `getWorkspace()` Configures IDEA workspace information.
    `void` | `module(groovy.lang.Closure closure)` Configures IDEA module information.
    `void` | `pathVariables(Map<String, File> pathVariables)` Adds path variables to be used for replacing absolute paths in resulting files (*.iml, etc.).
    `void` | `project(groovy.lang.Closure closure)` Configures IDEA project information.
    `void` | `setModule(IdeaModule module)`
    `void` | `setProject(IdeaProject project)`
    `void` | `setTargetVersion(String targetVersion)`
    `void` | `setWorkspace(IdeaWorkspace workspace)`
    `void` | `workspace(groovy.lang.Closure closure)` Configures IDEA workspace information.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public IdeaModule getModule()

      Configures IDEA module information.

      For examples see docs for IdeaModule.

    - #### public IdeaProject getProject()

      Configures IDEA project information.

      For examples see docs for IdeaProject.

    - #### public String getTargetVersion()

      Configures the target IDEA version.

    - #### public IdeaWorkspace getWorkspace()

      Configures IDEA workspace information.

      For examples see docs for IdeaWorkspace.

    - #### public void module(groovy.lang.Closure closure)

      Configures IDEA module information.

      For examples see docs for IdeaModule.

    - #### public void pathVariables(Map<String, File> pathVariables)

      Adds path variables to be used for replacing absolute paths in resulting files (*.iml, etc.).

      For example see docs for IdeaModule.

      Parameters:
        `pathVariables` - A map with String->File pairs.

    - #### public void project(groovy.lang.Closure closure)

      Configures IDEA project information.

      For examples see docs for IdeaProject.

    - #### public void setModule(IdeaModule module)

    - #### public void setProject(IdeaProject project)

    - #### public void setTargetVersion(String targetVersion)

    - #### public void setWorkspace(IdeaWorkspace workspace)

    - #### public void workspace(groovy.lang.Closure closure)

      Configures IDEA workspace information.

      For examples see docs for IdeaWorkspace.